commit:     c6e96aa4bc290f4fb0f7fac851d4ebf12682c8fc
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Wed Aug 30 04:55:52 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Aug 30 05:14:54 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c6e96aa4

dev-cpp/nlohmann_json: add 3.10.2

This partially reverts 3591af18de7c094c01e71deadd4f2a8f9597f228.

Needed by qiskit-aer-0.12.2 for now.

Bug: https://github.com/Qiskit/qiskit-aer/issues/1742
Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-cpp/nlohmann_json/Manifest                    |  2 +
 dev-cpp/nlohmann_json/nlohmann_json-3.10.2.ebuild | 63 +++++++++++++++++++++++
 2 files changed, 65 insertions(+)

diff --git a/dev-cpp/nlohmann_json/Manifest b/dev-cpp/nlohmann_json/Manifest
index 0ebb96ff79c9..bb6d9f16263d 100644
--- a/dev-cpp/nlohmann_json/Manifest
+++ b/dev-cpp/nlohmann_json/Manifest
@@ -1,2 +1,4 @@
+DIST nlohmann_json-3.10.2.tar.gz 7054440 BLAKE2B 
e7da213fb75d528b1f5425822f5b598e882f232a67670aaae2d8f89c76e72ee23fa3344d1acfef2b0338a6a423d17b231b7e047ff064c984c2ec7783b721a22c
 SHA512 
9a399dfc8aab19c9fc12470e8087895b1c05d48a9bcc731b483d8670c361cffb2adc3ccced822b7f17255e88387a441d619c4e1f1afeb702d1d035ad24fe22ed
 DIST nlohmann_json-3.11.2.tar.gz 8097673 BLAKE2B 
ebb67966739a330e0cfb8495a6eb58e87732655856a6d4e843072ed5e485cafbb8a75d8803859d0365b814deda7429448ecc473de414de4b23d3a3c455dc2511
 SHA512 
70097c9bcd7a91254acbd41b8b68a6aaa371fc2dd7011f472917f69f1e2d2986155a0339dad791699d542e4a3be44dc49ae72ff73d0ee0ea4b34183296ce19a0
+DIST nlohmann_json-testdata-3.0.0.tar.gz 112348454 BLAKE2B 
f0a47b41805bf1426f612e9a82efea2a3e5b1c15740c1c531d859e60dc5daeb85209b4fe363fd8fb84e3bbf01a2578c74538ba3e769726494047979f5a4d468d
 SHA512 
d9af8419b837c592ec7519cd5772651c761078a9c43cf2a309cee55c323aee0df0c233fb58a07d5ee2e77492ac8b16398de234b387eae037a60e3c9ba5b08891
 DIST nlohmann_json-testdata-3.1.0.tar.gz 115036393 BLAKE2B 
809be0728a0b9d007fcc752911bdf6f7e548d6e3ec59871ea2b16d87d8248ca4dd2f681a1d0f82c618463294188ad41d6d965b8bdc39c70fdcf4b939d4121e9c
 SHA512 
db6c411b37f2154f5dd1ed90f4e8fa0907f4a736cd0ff79943bcacf9da422285ff142bb6a7dc6022b236090083166ac1ab197be3f480d8dc50b26a91a9477821

diff --git a/dev-cpp/nlohmann_json/nlohmann_json-3.10.2.ebuild 
b/dev-cpp/nlohmann_json/nlohmann_json-3.10.2.ebuild
new file mode 100644
index 000000000000..f7a64254bd24
--- /dev/null
+++ b/dev-cpp/nlohmann_json/nlohmann_json-3.10.2.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake
+
+# Check 
https://github.com/nlohmann/json/blob/develop/cmake/download_test_data.cmake to 
find test archive version
+TEST_VERSION="3.0.0"
+DESCRIPTION="JSON for Modern C++"
+HOMEPAGE="https://github.com/nlohmann/json https://nlohmann.github.io/json/";
+SRC_URI="
+       https://github.com/nlohmann/json/archive/v${PV}.tar.gz -> ${P}.tar.gz
+       test? ( 
https://github.com/nlohmann/json_test_data/archive/v${TEST_VERSION}.tar.gz -> 
${PN}-testdata-${TEST_VERSION}.tar.gz )
+"
+S="${WORKDIR}/json-${PV}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86"
+IUSE="doc test"
+#RESTRICT="!test? ( test )"
+# Need to report failing tests upstream
+# Tests only just added, large test suite, majority pass
+RESTRICT="test"
+
+BDEPEND="doc? ( app-doc/doxygen )"
+
+DOCS=( ChangeLog.md README.md )
+
+src_configure() {
+       # Tests are built by default so we can't group the test logic below
+       local mycmakeargs=(
+               -DJSON_MultipleHeaders=ON
+               -DJSON_BuildTests=$(usex test)
+       )
+
+       # Define test data directory here to avoid unused var QA warning, bug 
#747826
+       use test && mycmakeargs+=( 
-DJSON_TestDataDirectory="${S}"/json_test_data )
+
+       cmake_src_configure
+}
+
+src_compile() {
+       cmake_src_compile
+
+       if use doc; then
+               emake -C doc
+               HTML_DOCS=( doc/html/. )
+       fi
+}
+
+src_test() {
+       cd "${BUILD_DIR}/test" || die
+
+       # Skip certain tests needing git per upstream
+       # https://github.com/nlohmann/json/issues/2189
+       local myctestargs=(
+               "-LE git_required"
+       )
+
+       cmake_src_test
+}

Reply via email to